"""update model, instance to support model scope source

Revision ID: f29521415cbd
Revises: 6dcb3a50da19
Create Date: 2024-09-19 19:39:07.470611

"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa
import sqlmodel
import gpustack


# revision identifiers, used by Alembic.
revision: str = 'f29521415cbd'
down_revision: Union[str, None] = '6dcb3a50da19'
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('model_instances', sa.Column('model_scope_model_id', sqlmodel.sql.sqltypes.AutoString(), nullable=True))
    op.add_column('model_instances', sa.Column('model_scope_file_path', sqlmodel.sql.sqltypes.AutoString(), nullable=True))
    op.add_column('models', sa.Column('distributable', sa.Boolean(), nullable=True))
    op.add_column('models', sa.Column('model_scope_model_id', sqlmodel.sql.sqltypes.AutoString(), nullable=True))
    op.add_column('models', sa.Column('model_scope_file_path', sqlmodel.sql.sqltypes.AutoString(), nullable=True))
    op.add_column('models', sa.Column('backend', sqlmodel.sql.sqltypes.AutoString(), nullable=True))
    op.add_column('models', sa.Column('backend_parameters', sa.JSON(), nullable=True))
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('models', 'model_scope_file_path')
    op.drop_column('models', 'model_scope_model_id')
    op.drop_column('models', 'backend_parameters')
    op.drop_column('models', 'backend')
    op.drop_column('models', 'distributable')
    op.drop_column('model_instances', 'model_scope_file_path')
    op.drop_column('model_instances', 'model_scope_model_id')
    # ### end Alembic commands ###
